pro scale_velocity_sb1,data_file

close,1

temp1 = 0d
temp2 = 0d
temp3 = 0d	; temporary variables to read data from file
temp4 = 0d
temp5 = 0d
temp6 = 0d

num=1000.0

time_sb1 = dblarr(num)
V1_sb1 = dblarr(num)
dV1_sb1 = dblarr(num)

openr,1,data_file

i = 0
while not EOF(1) do begin

	readf, 1, temp1, temp2, temp3

	time_sb1(i) = temp1
	V1_sb1(i) = temp2
	dV1_sb1(i) = temp3

        i = i + 1
endwhile
close,1
num = i
time_sb1 = time_sb1(0:num-1)
V1_sb1 = V1_sb1(0:num-1)
dV1_sb1 = dV1_sb1(0:num-1)

chi2red = 0.0d
print,'Enter reduced chi2:'
read,chi2red

; multiply sigma by sqrt(chi2red)

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;; Significant figures and format for table ;;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;print,'t sep dsep PA dPA'
;for i=0,num-1 do print,format='(f9.3,f7.1,f6.2,f7.1,f6.2,f11.6)',time_sb1(i),V1_sb1(i),dV1_sb1(i)*sqrt(chi2red),V2_sb1(i),dV2_sb1(i)*sqrt(chi2red)
for i=0,num-1 do print,format='(f10.4,f8.2,f7.3)',time_sb1(i),V1_sb1(i),dV1_sb1(i)*sqrt(chi2red)

end
